﻿namespace Nop.Plugin.Payments.UsaEpay
{
    using Nop.Core.Configuration;

    /// <summary>
    /// The USA E-pay payment settings.
    /// </summary>
    public class UsaEpayPaymentSettings : ISettings
    {
        /// <summary>
        /// Gets or sets the additional fee.
        /// </summary>
        public decimal AdditionalFee { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether additional fee percentage.
        /// </summary>
        public bool AdditionalFeePercentage { get; set; }

        /// <summary>
        /// Gets or sets the source key.
        /// </summary>
        public string SourceKey { get; set; }

        /// <summary>
        /// Gets or sets the pin.
        /// </summary>
        public string Pin { get; set; }

        /// <summary>
        /// Gets or sets the url.
        /// </summary>
        public string Url { get; set; }
    }
}